aboutsummaryrefslogtreecommitdiff
path: root/testsuite/taskset.tests
diff options
context:
space:
mode:
authorBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-01-07 15:19:34 +0000
committerBernhard Reutner-Fischer <rep.dot.nop@gmail.com>2007-01-07 15:19:34 +0000
commit70722ec4ced94b8fec12ebf327d5fced90974991 (patch)
treefbc622ae9848d9bacebc015f04172b0e70c4bd5f /testsuite/taskset.tests
parentf0b71c19ae3797e9867cf0d85fa41ca5cf2c5d29 (diff)
downloadbusybox-70722ec4ced94b8fec12ebf327d5fced90974991.tar.gz
- pull taskset.tests from the busybox_scratch branch
Diffstat (limited to 'testsuite/taskset.tests')
-rwxr-xr-xtestsuite/taskset.tests17
1 files changed, 17 insertions, 0 deletions
diff --git a/testsuite/taskset.tests b/testsuite/taskset.tests
new file mode 100755
index 000000000..6001c3e32
--- /dev/null
+++ b/testsuite/taskset.tests
@@ -0,0 +1,17 @@
+#!/bin/sh
+
+# Copyright 2006 Bernhard Fischer
+# Licensed under GPL v2 or later, see file LICENSE for details.
+
+. testing.sh
+a="taskset"
+
+# testing "test name" "opts" "expected result" "file inp" "stdin"
+testing "taskset (get from pid 1)" "$a -p1 >/dev/null;echo \$?" "0\n" "" ""
+testing "taskset (invalid pid)" "$a -p0 >/dev/null 2>&1;echo \$?" "1\n" "" ""
+testing "taskset (set_aff, needs CAP_SYS_NICE)" \
+ "$a 0x1 $SHELL -c $a\ -p\ \$$\|grep\ \"current\ affinity\ mask:\ 1\" >/dev/null;echo \$?" \
+ "0\n" "" ""
+
+unset a
+exit $FAILCOUNT